summaryrefslogtreecommitdiffstats
path: root/ci/launch_docker_container.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/launch_docker_container.sh')
-rwxr-xr-xci/launch_docker_container.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/ci/launch_docker_container.sh b/ci/launch_docker_container.sh
index 13cfe04..b119946 100755
--- a/ci/launch_docker_container.sh
+++ b/ci/launch_docker_container.sh
@@ -36,5 +36,10 @@ docker run -d --env-file `pwd`/job/admin.rc \
-p 8000:8000 \
-v `pwd`/job/carbon:/opt/graphite/storage/whisper \
--name storperf opnfv/storperf
+# -v `pwd`/../../storperf:/home/opnfv/repos/storperf \
-
+echo "Waiting for StorPerf to become active"
+while [ $(curl -X GET 'http://127.0.0.1:5000/api/v1.0/configurations' > /dev/null 2>&1;echo $?) -ne 0 ]
+do
+ sleep 1
+done